\begin{tikzpicture}[scale=2]
	\begin{axis}[
		colormap/cool,
		hide axis,
		view={25}{30},  % azimuth and elevation in degrees
		xmin=-360,
		xmax=360,
		ymin=-360,
		ymax=360,
	]
		\def\formula{
			cos(  % peaks at origin
				deg(  % converts radian to degree for simplifying domain
					sqrt(x^2+y^2)  % symmetric around z axis
					/
					36  % decreases oscillation period
				)
			)
			/
			(
				sqrt(x^2+y^2)  % distance from origin
				/
				36  % arbitrary number for damping oscillations
				+
				1  % avoids division by zero at origin
			)
		}

		\begin{scope}[samples=30]
			% Back part of plot
			% Type can be wireframe or surface
			\addplot3[
				surf,
				domain=-360:360,
				domain y=0:360,
			] {abs(x) < 60 && abs(y) < 60 ? -0.25 : \formula};

			% Sample more densely around origin:
			%   (60 + 60) units/15 samples = 8 units/sample
			%   (360 + 360) units/30 samples = 24 units/sample
			\addplot3[
				surf,
				samples=15,
				domain=-60:60,
				domain y=-60:60,
			] {\formula};

			% Front part of plot
			\addplot3[
				mesh,
				domain=-360:360,
				domain y=-360:0,
			] {abs(x) < 60 && abs(y) < 60 ? -0.25 : \formula};
		\end{scope}
	\end{axis}
\end{tikzpicture}
